Upstream information

CVE-2017-12862 at MITRE

Description

In modules/imgcodecs/src/grfmt_pxm.cpp, the length of buffer AutoBuffer _src is small than expected, which will cause copy buffer overflow later. If the image is from remote, may lead to remote code execution or denial of service. This affects Opencv 3.3 and earlier.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 1054021 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.3
  • libopencv-qt56_3 >= 3.1.0-4.6.1
  • libopencv-qt56_3-debuginfo >= 3.1.0-4.6.1
  • libopencv3_1 >= 3.1.0-4.6.1
  • libopencv3_1-debuginfo >= 3.1.0-4.6.1
  • opencv >= 3.1.0-4.6.1
  • opencv-debuginfo >= 3.1.0-4.6.1
  • opencv-debugsource >= 3.1.0-4.6.1
  • opencv-devel >= 3.1.0-4.6.1
  • opencv-doc >= 3.1.0-4.6.1
  • opencv-qt5 >= 3.1.0-4.6.1
  • opencv-qt5-debuginfo >= 3.1.0-4.6.1
  • opencv-qt5-debugsource >= 3.1.0-4.6.1
  • opencv-qt5-devel >= 3.1.0-4.6.1
  • opencv-qt5-doc >= 3.1.0-4.6.1
  • python-opencv >= 3.1.0-4.6.1
  • python-opencv-debuginfo >= 3.1.0-4.6.1
  • python-opencv-qt5 >= 3.1.0-4.6.1
  • python-opencv-qt5-debuginfo >= 3.1.0-4.6.1
  • python3-opencv >= 3.1.0-4.6.1
  • python3-opencv-debuginfo >= 3.1.0-4.6.1
  • python3-opencv-qt5 >= 3.1.0-4.6.1
  • python3-opencv-qt5-debuginfo >= 3.1.0-4.6.1
Patchnames:
openSUSE-2018-492